Package org.apache.solr.client.solrj.request

## Class AliasPropertiesApi

- java.lang.Object
- - org.apache.solr.client.solrj.request.AliasPropertiesApi

    public class AliasPropertiesApi
    extends Object

### Nested Class Summary

Nested Classes
`static class` `AliasPropertiesApi.CreateOrUpdateAliasProperty`
`static class` `AliasPropertiesApi.CreateOrUpdateAliasPropertyResponse`
`static class` `AliasPropertiesApi.DeleteAliasProperty`
`static class` `AliasPropertiesApi.DeleteAliasPropertyResponse`
`static class` `AliasPropertiesApi.GetAliasProperty`
`static class` `AliasPropertiesApi.GetAliasPropertyResponse`
`static class` `AliasPropertiesApi.GetAllAliasProperties`
`static class` `AliasPropertiesApi.GetAllAliasPropertiesResponse`
`static class` `AliasPropertiesApi.UpdateAliasProperties`
`static class` `AliasPropertiesApi.UpdateAliasPropertiesResponse`

### Constructor Summary

Constructors
`AliasPropertiesApi()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AliasPropertiesApi

    public AliasPropertiesApi()